_:
{
  
  vim.languages.nix = {
    enable = true;
    extraDiagnostics = {
      enable = true;
    };
    format = {
      enable = true;
      type = "alejandra";
    };
    lsp = {
      enable = true;
      server = [ "nixd" ];
    };
  };
}
